#[derive(Clone, PartialEq, Debug)]
pub enum Data {
    U8(Vec<u8>),
}

#[derive(Clone, PartialEq, Debug)]
pub struct Fn {
    pub blocks: Vec<Block>,
    pub id: u64,
    pub arg_count: i32,
    pub local_count: i32,
}

#[derive(Clone, PartialEq, Debug)]
pub struct Block {
    pub ops: Vec<Op>,
}

#[derive(Clone, PartialEq, Debug)]
pub enum Op {
    Pop,
    PushI32(i32),
    PushU32(u32),
    PushStaticPtr(u64),
    StoreLocal(i32),
    LoadLocal(i32),
    Jump(u64),
    JumpIfTrue(u64),
    Call(u64, i32),
    Return,
}
